<div class="col-8 offset-2 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="card col-12 mt-2" *ngFor="let user of users">
    <div class="card-body">
      <h5 class="card-title">
          <img src="{{url + 'user/get-avatar/' + user.image}}" class="nav-avatar" *ngIf="user && user.image">
          <img src="{{url + 'user/get-avatar/default-profile-picture.png'}}" class="nav-avatar" *ngIf="user && !user.image">
          <a [routerLink]="['/perfil-usuario',user.id]"> {{user.name + ' ' + user.surname}}</a>
      </h5>
      <p class="card-text">
        <span class="font-weight-bold">Nickname:</span> {{user.nick}}
        <br>
        <span class="font-weight-bold">E-mail:</span> {{user.email}}
      </p>
          <button class="btn btn-primary boton1" *ngIf="contacts.indexOf(user.id)==-1 && identity.sub!=user.id " (click)="addFollow(user.id)">Seguir</button>
          <button class="btn btn-success" *ngIf="contacts.indexOf(user.id)!=-1" (mouseover)="addStyle($event)" (mouseout)="removeStyle($event)" (click)="deleteFollow(user.id)">Siguiendo</button>        
    </div>
      <div class="col-8 mx-auto text-center alert-dismissible fade show alert" [ngClass]="followMessage=='success'? 'alert-success':'alert-warning' " *ngIf="user.id==followId">
        {{followMessage}}
      </div>
  </div>
</div>
